nxt.account

## Enum HoldingType

- java.lang.Object
- - java.lang.Enum<HoldingType>
  - - nxt.account.HoldingType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HoldingType>

      public enum HoldingType
      extends java.lang.Enum<HoldingType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSET`
    `COIN`
    `CURRENCY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addToBalance(Account account, AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long holdingId, long amount)`
    `abstract void` | `addToBalanceAndUnconfirmedBalance(Account account, AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long holdingId, long amount)`
    `abstract void` | `addToUnconfirmedBalance(Account account, AccountLedger.LedgerEvent event, AccountLedger.LedgerEventId eventId, long holdingId, long amount)`
    `static HoldingType` | `get(byte code)`
    `abstract long` | `getBalance(Account account, long holdingId)`
    `byte` | `getCode()`
    `abstract int` | `getDecimals(long holdingId)`
    `abstract long` | `getUnconfirmedBalance(Account account, long holdingId)`
    `static HoldingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HoldingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COIN

          public static final HoldingType COIN

    - #### ASSET

          public static final HoldingType ASSET

    - #### CURRENCY

          public static final HoldingType CURRENCY

  - ### Method Detail

    - #### values

          public static HoldingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HoldingType c : HoldingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HoldingType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static HoldingType get(byte code)

    - #### getCode

          public byte getCode()

    - #### getDecimals

          public abstract int getDecimals(long holdingId)

    - #### getBalance

          public abstract long getBalance(Account account,
                                          long holdingId)

    - #### getUnconfirmedBalance

          public abstract long getUnconfirmedBalance(Account account,
                                                     long holdingId)

    - #### addToBalance

          public abstract void addToBalance(Account account,
                                            AccountLedger.LedgerEvent event,
                                            AccountLedger.LedgerEventId eventId,
                                            long holdingId,
                                            long amount)

    - #### addToUnconfirmedBalance

          public abstract void addToUnconfirmedBalance(Account account,
                                                       AccountLedger.LedgerEvent event,
                                                       AccountLedger.LedgerEventId eventId,
                                                       long holdingId,
                                                       long amount)

    - #### addToBalanceAndUnconfirmedBalance

          public abstract void addToBalanceAndUnconfirmedBalance(Account account,
                                                                 AccountLedger.LedgerEvent event,
                                                                 AccountLedger.LedgerEventId eventId,
                                                                 long holdingId,
                                                                 long amount)